# class XmlDomParser | Document Object Model XML Parser. More...
Full name | `TelEngine::XmlDomParser`
Definition | `#include <yatexml.h>`
Inherits | TelEngine::XmlSaxParser [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlDomParser (const char* name = "XmlDomParser", bool fragment = false)
- XmlDomParser (XmlParent* fragment, bool takeOwnership)
- virtual ~XmlDomParser ()
- XmlDocument* document ()
- XmlFragment* fragment ()
- virtual void reset ()
- inline bool isCurrent (const XmlElement* el) const

#### Protected Methods

- virtual void gotComment (const String& text)
- virtual void gotProcessing (const NamedString& instr)
- virtual void gotDeclaration (const NamedList& decl)
- virtual void gotText (const String& text)
- virtual void gotCdata (const String& data)
- virtual void gotElement (const NamedList& element, bool empty)
- virtual void endElement (const String& name)
- virtual void gotDoctype (const String& doc)
- virtual bool completed ()

## Detailed Description

A Document Object Model (DOM) parser for XML documents and fragments

XmlDomParser (const char* name = "XmlDomParser", bool fragment = false) | ### XmlDomParser

XmlDomParser constructor

Parameters:

name | Debug name
fragment | True if this parser needs to parse a piece of a xml document

XmlDomParser (XmlParent* fragment, bool takeOwnership) | ### XmlDomParser

XmlDomParser constructor

Parameters:

fragment | The fragment who should keep the parsed data
takeOwnership | True to take ownership of the fragment

~XmlDomParser () | ### ~XmlDomParser

[virtual]

Destructor

XmlDocument* document () | ### document

Obtain an XmlDocument from the parsed data

Returns: The XmlDocument or 0

XmlFragment* fragment () | ### fragment

Obtain an XmlFragment from the parsed data

Returns: The XmlFragment or 0

void reset () | ### reset

[virtual]

Reset parser

Reimplemented from XmlSaxParser.

inline bool isCurrent (const XmlElement* el) | ### isCurrent

[const]

Check if the current element is the given one

Parameters:

el | The element to compare with

Returns: True if they are equal

void gotComment (const String& text) | ### gotComment

[protected virtual]

Append a xml comment in the xml tree

Parameters:

text | The comment content

Reimplemented from XmlSaxParser.

void gotProcessing (const NamedString& instr) | ### gotProcessing

[protected virtual]

Append a xml instruction in the xml tree

Parameters:

instr | The instruction content

Reimplemented from XmlSaxParser.

void gotDeclaration (const NamedList& decl) | ### gotDeclaration

[protected virtual]

Append a xml declaration in the xml tree

Parameters:

decl | The declaration content

Reimplemented from XmlSaxParser.

void gotText (const String& text) | ### gotText

[protected virtual]

Append a xml text in the xml tree

Parameters:

text | The text content

Reimplemented from XmlSaxParser.

void gotCdata (const String& data) | ### gotCdata

[protected virtual]

Append a xml CData in the xml tree

Parameters:

data | The CData content

Reimplemented from XmlSaxParser.

void gotElement (const NamedList& element, bool empty) | ### gotElement

[protected virtual]

Append a xml element in the xml tree

Parameters:

element | The element content
empty | True if the element does not have attributes

Reimplemented from XmlSaxParser.

void endElement (const String& name) | ### endElement

[protected virtual]

Complete current element

Parameters:

name | The end tag name

Reimplemented from XmlSaxParser.

void gotDoctype (const String& doc) | ### gotDoctype

[protected virtual]

Append a xml doctype in the xml tree

Parameters:

doc | The doctype content

Reimplemented from XmlSaxParser.

bool completed () | ### completed

[protected virtual]

Callback method. Is called to check if we have an incomplete element

Returns: True if current element is not 0

Reimplemented from XmlSaxParser.

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.